| LUFA Library 140302 |

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
USB_Audio_Descriptor_Interface_AC_t Struct Reference
Common Class Definitions

Audio class-specific Interface Descriptor (LUFA naming conventions). More...

`#include <AudioClassCommon.h>`

## Data Fields
uint16_t | ACSpecification
USB_Descriptor_Header_t | Header
uint8_t | InCollection
uint8_t | InterfaceNumber
uint8_t | Subtype
uint16_t | TotalLength

## Detailed Description

Type define for an Audio class-specific interface descriptor. This follows a regular interface descriptor to supply extra information about the audio device's layout to the host. See the USB Audio specification for more details.

See also
  USB_Audio_StdDescriptor_Interface_AC_t for the version of this type with standard element names.

Note
  Regardless of CPU architecture, these values should be stored as little endian.

## Field Documentation

uint16_t USB_Audio_Descriptor_Interface_AC_t::ACSpecification

Binary Coded Decimal value, indicating the supported Audio Class specification version.

See also
  VERSION_BCD() utility macro.

USB_Descriptor_Header_t USB_Audio_Descriptor_Interface_AC_t::Header

Regular descriptor header containing the descriptor's type and length.

uint8_t USB_Audio_Descriptor_Interface_AC_t::InCollection

Total number of Audio Streaming interfaces linked to this Audio Control interface (must be 1).

uint8_t USB_Audio_Descriptor_Interface_AC_t::InterfaceNumber

Interface number of the associated Audio Streaming interface.

uint8_t USB_Audio_Descriptor_Interface_AC_t::Subtype

Sub type value used to distinguish between audio class-specific descriptors, a value from the Audio_CSInterface_AS_SubTypes_t enum.

uint16_t USB_Audio_Descriptor_Interface_AC_t::TotalLength

Total length of the Audio class-specific descriptors, including this descriptor.

The documentation for this struct was generated from the following file:

- Drivers/USB/Class/Common/AudioClassCommon.h